org.apache.cassandra.io.sstable.format

## Class RangeAwareSSTableWriter

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.RangeAwareSSTableWriter

All Implemented Interfaces:
  java.lang.AutoCloseable, SSTableMultiWriter, Transactional

    public class RangeAwareSSTableWriter
    extends java.lang.Object
    implements SSTableMultiWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

`Transactional.AbstractTransactional`

### Field Summary

Fields
`ColumnFamilyStore` `cfs`

### Constructor Summary

Constructors
Constructor and Description
`RangeAwareSSTableWriter(ColumnFamilyStore cfs, long estimatedKeys, long repairedAt, SSTableFormat.Type format, int sstableLevel, long totalSize, LifecycleTransaction txn, SerializationHeader header)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `abort(java.lang.Throwable accumulate)`
`boolean` `append(UnfilteredRowIterator partition)` Writes a partition in an implementation specific way
`void` `close()`
`java.lang.Throwable` `commit(java.lang.Throwable accumulate)`
`java.util.Collection<SSTableReader>` `finish(boolean openResult)`
`java.util.Collection<SSTableReader>` `finish(long repairedAt, long maxDataAge, boolean openResult)`
`java.util.Collection<SSTableReader>` `finished()`
`java.util.UUID` `getCfId()`
`java.lang.String` `getFilename()`
`long` `getFilePointer()`
`void` `prepareToCommit()`
`SSTableMultiWriter` `setOpenResult(boolean openResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.sstable.SSTableMultiWriter

`abortOrDie`

### Field Detail

#### cfs

    public final ColumnFamilyStore cfs

### Constructor Detail

#### RangeAwareSSTableWriter

    public RangeAwareSSTableWriter(ColumnFamilyStore cfs,
                                   long estimatedKeys,
                                   long repairedAt,
                                   SSTableFormat.Type format,
                                   int sstableLevel,
                                   long totalSize,
                                   LifecycleTransaction txn,
                                   SerializationHeader header)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### append

    public boolean append(UnfilteredRowIterator partition)

Description copied from interface: `SSTableMultiWriter`
Writes a partition in an implementation specific way

Specified by:
  `append` in interface `SSTableMultiWriter`
Parameters:
  `partition` - the partition to append
Returns:
  true if the partition was written, false otherwise

#### finish

    public java.util.Collection<SSTableReader> finish(long repairedAt,
                                                      long maxDataAge,
                                                      boolean openResult)

Specified by:
  `finish` in interface `SSTableMultiWriter`

#### finish

    public java.util.Collection<SSTableReader> finish(boolean openResult)

Specified by:
  `finish` in interface `SSTableMultiWriter`

#### finished

    public java.util.Collection<SSTableReader> finished()

Specified by:
  `finished` in interface `SSTableMultiWriter`

#### setOpenResult

    public SSTableMultiWriter setOpenResult(boolean openResult)

Specified by:
  `setOpenResult` in interface `SSTableMultiWriter`

#### getFilename

    public java.lang.String getFilename()

Specified by:
  `getFilename` in interface `SSTableMultiWriter`

#### getFilePointer

    public long getFilePointer()

Specified by:
  `getFilePointer` in interface `SSTableMultiWriter`

#### getCfId

    public java.util.UUID getCfId()

Specified by:
  `getCfId` in interface `SSTableMultiWriter`

#### commit

    public java.lang.Throwable commit(java.lang.Throwable accumulate)

Specified by:
  `commit` in interface `Transactional`

#### abort

    public java.lang.Throwable abort(java.lang.Throwable accumulate)

Specified by:
  `abort` in interface `Transactional`

#### prepareToCommit

    public void prepareToCommit()

Specified by:
  `prepareToCommit` in interface `Transactional`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `Transactional`